Package org.eclipse.osgi.container

# Enum Class ModuleContainerAdaptor.ModuleEvent

java.lang.Object
java.lang.Enum<ModuleContainerAdaptor.ModuleEvent>
org.eclipse.osgi.container.ModuleContainerAdaptor.ModuleEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<ModuleContainerAdaptor.ModuleEvent>`, `Constable`

Enclosing class:
  ModuleContainerAdaptor

public static enum ModuleContainerAdaptor.ModuleEvent extends Enum<ModuleContainerAdaptor.ModuleEvent>
Event types that may be `published` for a module indicating a `state` change has occurred for a module.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTALLED`
The module has been installed
`LAZY_ACTIVATION`
The module has been activated with the lazy activation policy and is waiting a `trigger` class load.
`RESOLVED`
The module has been resolved.
`STARTED`
The module has beens started.
`STARTING`
The module is about to be activated.
`STOPPED`
The module has been stopped.
`STOPPING`
The module is about to be deactivated.
`UNINSTALLED`
The module has been uninstalled.
`UNRESOLVED`
The module has been unresolved.
`UPDATED`
The module has been updated.

## Method Summary

Modifier and Type
Method
Description
`static ModuleContainerAdaptor.ModuleEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ModuleContainerAdaptor.ModuleEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTALLED

public static final ModuleContainerAdaptor.ModuleEvent INSTALLED
The module has been installed

### LAZY_ACTIVATION

public static final ModuleContainerAdaptor.ModuleEvent LAZY_ACTIVATION
The module has been activated with the lazy activation policy and is waiting a `trigger` class load.

### RESOLVED

public static final ModuleContainerAdaptor.ModuleEvent RESOLVED
The module has been resolved.

### STARTED

public static final ModuleContainerAdaptor.ModuleEvent STARTED
The module has beens started.

### STARTING

public static final ModuleContainerAdaptor.ModuleEvent STARTING
The module is about to be activated.

### STOPPED

public static final ModuleContainerAdaptor.ModuleEvent STOPPED
The module has been stopped.

### STOPPING

public static final ModuleContainerAdaptor.ModuleEvent STOPPING
The module is about to be deactivated.

### UNINSTALLED

public static final ModuleContainerAdaptor.ModuleEvent UNINSTALLED
The module has been uninstalled.

### UNRESOLVED

public static final ModuleContainerAdaptor.ModuleEvent UNRESOLVED
The module has been unresolved.

### UPDATED

public static final ModuleContainerAdaptor.ModuleEvent UPDATED
The module has been updated.

## Method Details

### values

public static ModuleContainerAdaptor.ModuleEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ModuleContainerAdaptor.ModuleEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null